<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/gaussian process/model/inc/gpParser.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('gp_parser_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">gpParser.h</div></div>
</div><!--header-->
<div class="contents">
<a href="gp_parser_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file gpParser.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of the Gaussian process parser classes.</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;string&gt;</span>   <span class="comment">// std::string</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;vector&gt;</span>   <span class="comment">// std::vector</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &lt;memory&gt;</span>   <span class="comment">// std::unique_ptr, std::shared_ptr</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="model_parser_8h.html">modelParser.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#include &quot;<a class="code" href="gp_data_8h.html">gpData.h</a>&quot;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="foldopen" id="foldopen00031" data-start="{" data-end="};">
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="classmelon_1_1_gp_parser.html">   31</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_gp_parser.html">GpParser</a> : <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_model_parser.html">ModelParser</a> {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        std::shared_ptr&lt;ModelData&gt; <a class="code hl_function" href="classmelon_1_1_gp_parser.html#af0e4519e8e633eda0930a560ac7f21a4">parse_model</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    };</div>
</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="foldopen" id="foldopen00050" data-start="{" data-end="};">
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classmelon_1_1_gp_parser_factory.html">   50</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_gp_parser_factory.html">GpParserFactory</a> : <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        std::unique_ptr&lt;ModelParser&gt; <a class="code hl_function" href="classmelon_1_1_gp_parser_factory.html#aa3c8f8c29a04819a72cc0757da9fcef6">create_model_parser</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    };</div>
</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>}</div>
<div class="ttc" id="aclassmelon_1_1_gp_parser_factory_html"><div class="ttname"><a href="classmelon_1_1_gp_parser_factory.html">melon::GpParserFactory</a></div><div class="ttdoc">This class is a factory class for creating child instances of GpParser.</div><div class="ttdef"><b>Definition</b> gpParser.h:50</div></div>
<div class="ttc" id="aclassmelon_1_1_gp_parser_factory_html_aa3c8f8c29a04819a72cc0757da9fcef6"><div class="ttname"><a href="classmelon_1_1_gp_parser_factory.html#aa3c8f8c29a04819a72cc0757da9fcef6">melon::GpParserFactory::create_model_parser</a></div><div class="ttdeci">std::unique_ptr&lt; ModelParser &gt; create_model_parser(const MODEL_FILE_TYPE fileType) override</div><div class="ttdoc">Factory function for creating a instance of an Gauusian process parser corresponding to the specified...</div><div class="ttdef"><b>Definition</b> gpParser.cpp:74</div></div>
<div class="ttc" id="aclassmelon_1_1_gp_parser_html"><div class="ttname"><a href="classmelon_1_1_gp_parser.html">melon::GpParser</a></div><div class="ttdoc">This class implements a Gaussian process file parser.</div><div class="ttdef"><b>Definition</b> gpParser.h:31</div></div>
<div class="ttc" id="aclassmelon_1_1_gp_parser_html_af0e4519e8e633eda0930a560ac7f21a4"><div class="ttname"><a href="classmelon_1_1_gp_parser.html#af0e4519e8e633eda0930a560ac7f21a4">melon::GpParser::parse_model</a></div><div class="ttdeci">std::shared_ptr&lt; ModelData &gt; parse_model(const std::string modelPath, const std::string modelName) override</div><div class="ttdoc">Abstract function for defining the structure of the parsing function which is used to get the Gaussia...</div><div class="ttdef"><b>Definition</b> gpParser.cpp:85</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_factory_html"><div class="ttname"><a href="classmelon_1_1_model_parser_factory.html">melon::ModelParserFactory</a></div><div class="ttdoc">This class is a abstract parent class for model parser factories implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:108</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html"><div class="ttname"><a href="classmelon_1_1_model_parser.html">melon::ModelParser</a></div><div class="ttdoc">This class is a abstract parent class for model parser implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:40</div></div>
<div class="ttc" id="agp_data_8h_html"><div class="ttname"><a href="gp_data_8h.html">gpData.h</a></div></div>
<div class="ttc" id="amodel_parser_8h_html"><div class="ttname"><a href="model_parser_8h.html">modelParser.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">melon::MODEL_FILE_TYPE</a></div><div class="ttdeci">MODEL_FILE_TYPE</div><div class="ttdoc">Enum for representing the parsable filetypes.</div><div class="ttdef"><b>Definition</b> modelParser.h:30</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_8c70d682863ca179b3d27e6b8b5f957c.html">model</a></li><li class="navelem"><a class="el" href="dir_12f46f25b78a2006c0f01ceda0de4504.html">inc</a></li><li class="navelem"><a class="el" href="gp_parser_8h.html">gpParser.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
